Bug 28046 - Add "Additional fields" link on acquisition navigation menu
Summary: Add "Additional fields" link on acquisition navigation menu
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-27 15:33 UTC by Katrin Fischer
Modified: 2021-04-25 14:09 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.05


Attachments
Bug 28046: Add "Additional fields" link on acquisition navigation menu (2.24 KB, patch)
2021-03-29 11:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28046: Add "Additional fields" link on acquisition navigation menu (2.39 KB, patch)
2021-03-31 08:15 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 28046: Add "Additional fields" link on acquisition navigation menu (2.44 KB, patch)
2021-04-03 14:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-03-27 15:33:30 UTC
I think if we have a link to add additional fields in the serials module as added back by bug 28006, we should also have one on the acquisitions page.
Comment 1 Owen Leonard 2021-03-29 11:39:01 UTC
Created attachment 118949 [details] [review]
Bug 28046: Add "Additional fields" link on acquisition navigation menu

This patch adds a link to the "Additional fields" page in Administration
to the sidebar menu shown on Acquisitions pages.

To test, apply the patch and go to Acquisitions.

- In the sidebar menu you should see a "Manage order basket fields"
  link.
- The link should take you directly to the "Additional fields for
  'aqbasket'" page.
Comment 2 PTFS Europe Sandboxes 2021-03-31 08:15:04 UTC
Created attachment 119031 [details] [review]
Bug 28046: Add "Additional fields" link on acquisition navigation menu

This patch adds a link to the "Additional fields" page in Administration
to the sidebar menu shown on Acquisitions pages.

To test, apply the patch and go to Acquisitions.

- In the sidebar menu you should see a "Manage order basket fields"
  link.
- The link should take you directly to the "Additional fields for
  'aqbasket'" page.

Signed-off-by: Séverine QUEUNE <severine.queune@gmail.com>
Comment 3 Katrin Fischer 2021-04-03 14:23:43 UTC
"Order basket" appears as a bit of a double up, but I am aware that we have the same term on the administration page for the fields. Hm!
Comment 4 Katrin Fischer 2021-04-03 14:24:14 UTC
Created attachment 119157 [details] [review]
Bug 28046: Add "Additional fields" link on acquisition navigation menu

This patch adds a link to the "Additional fields" page in Administration
to the sidebar menu shown on Acquisitions pages.

To test, apply the patch and go to Acquisitions.

- In the sidebar menu you should see a "Manage order basket fields"
  link.
- The link should take you directly to the "Additional fields for
  'aqbasket'" page.

Signed-off-by: Séverine QUEUNE <severine.queune@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-04-06 13:59:46 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-04-19 09:58:03 UTC
Small useful enhancement, I choose to backport.

Pushed to 20.11.x for 20.11.05
Comment 7 Katrin Fischer 2021-04-19 10:36:17 UTC
(In reply to Fridolin Somers from comment #6)
> Small useful enhancement, I choose to backport.
> 
> Pushed to 20.11.x for 20.11.05


Hi Frido, we are already in string freeze... could we hold this back to next . release? It shows in quite a prominent spot.
Comment 8 Andrew Fuerste-Henry 2021-04-25 14:09:33 UTC
Enhancement, not backported to 20.05